Bug 1267010 - pcs resource enable only enables the clone id of a cloned resource, it does not enable a resource below the clone.
Summary: pcs resource enable only enables the clone id of a cloned resource, it does n...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-28 19:35 UTC by Chris Feist
Modified: 2016-02-03 15:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-03 15:43:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1218979 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 1251496 0 medium CLOSED pcs resource disable should act on the clone/master of the resource if it is a clone or master 2021-02-22 00:41:40 UTC

Internal Links: 1218979 1251496

Description Chris Feist 2015-09-28 19:35:25 UTC
If a resource is disabled, but part of a clone, running 'pcs resource enable' will only enable the clone, it won't remove target-role=stopped from the resources inside the clone.

pcs resource enable should walk the entire tree below the id specified and enable everything (we should probably verify this works with MS & groups as well).

[root@gfs-i8c-01 ~]# rpm -q pcs
pcs-0.9.143-11.el7.x86_64


Note You need to log in before you can comment on or make changes to this bug.